﻿/*
 * Copyright (c) 2010, Koji Tsukada<tsuka@mobiquitous.com> 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, 
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice, 
 *    this list of conditions and the following disclaimer in the documentation 
 *    and/or other materials provided with the distribution.
 *    
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 * IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE.
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Net;
using System.IO;
using System.Threading;
using System.Net.Sockets;

namespace MobiServer
{

    public partial class MainForm : System.Windows.Forms.Form
    {
        //int panelHeight = 0;
        Size panelSize = Size.Empty;
        private MobiServer.Devices.DMX.ControlPanel panel;

        public MainForm()
        {
            InitializeComponent();
            System.Windows.Forms.Control.CheckForIllegalCrossThreadCalls = false;
            InitPanel();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            //this.controlPanel1.Text = "DMX";
            //this.controlPanel1.Resize += new System.EventHandler(this.panel_Resize);
        }

        
        void InitPanel()
        {
            // panel
            this.panel = new MobiServer.Devices.DMX.ControlPanel(serverControl,messageControl);
            this.panel.Location = new System.Drawing.Point(1, 114);
            this.panel.Name = "DMX";
            this.panel.TabIndex = 2;
            this.panel.Anchor = System.Windows.Forms.AnchorStyles.Left |
                                     System.Windows.Forms.AnchorStyles.Top; //System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right |
            this.panel.Resize += new System.EventHandler(this.panel_Resize);
            this.Controls.Add(this.panel);

            panelSize = this.panel.Size;
        }
        

        private void panel_Resize(object sender, EventArgs e)
        {
            this.Height += panel.Height - panelSize.Height;
            this.Width += panel.Width - panelSize.Width;
            panelSize = panel.Size;
        }
  

    }
}
